/*
 * binary_io_ptime.cpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "binary_io.hpp"
#include "binary_io_ptime.hpp"

#include "boost/date_time/posix_time/posix_time.hpp"
using namespace boost;
using namespace boost::gregorian;
using namespace boost::posix_time;

#include <iostream>
using namespace std;

ptime BinReadPtime(istream &str)
{
	// for now we just write as a string. (TODO) could improve this a little....
	return from_iso_string(BinReadString(str));
}

void BinWritePtime(ostream &str, const ptime &t)
{
	BinWriteString(str, to_iso_string(t));
}
