/*
 * binary_io_ptime.hpp
 *
 * binary_io ptime functions. put in a separate file so that 
 * users don't need to include boost::date_time if not wanted.
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef BINARY_IO_PTIME_HPP
#define BINARY_IO_PTIME_HPP

#include "boost/date_time/posix_time/posix_time_types.hpp"
#include <iosfwd>

boost::posix_time::ptime BinReadPtime(std::istream &);
void BinWritePtime(std::ostream &, const boost::posix_time::ptime &);

#endif
