/*
 * control.cpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "misc.hpp"

#include "binary_io/binary_io.hpp"
#include "client_config.hpp"
#include "control.hpp"
#include "graphic.hpp"

Control * g_standard_controls[NUM_STANDARD_CONTROLS];

void Control::serialize(ostream &str, int new_id)
{
	id = new_id;
	// Note: Action is not serialized
	BinWriteUword(str, menu_graphic? GetID(*menu_graphic) : 0);
	BinWriteUbyte(str, menu_dir + 128*int(cts));
	BinWriteUbyte(str, tap_pri);
	BinWriteUbyte(str, menu_special);
}

Control::Control(istream &str, const ClientConfig &conf, int new_id)
	: id(new_id), action(0)
{
	menu_graphic = conf.getGraphic(BinReadUword(str));
	unsigned short x = BinReadUbyte(str);
	menu_dir = MapDirection(x & 0x7f);
	cts = (x>=128);
	tap_pri = BinReadUbyte(str);
	menu_special = BinReadUbyte(str);
}

