/* Utility routine to load bitmaps */
/* Based on code by Jeff Lait, used under BSD licence. Modified by Stephen Thompson. See ACKNOWLEDGMENTS.TXT. */

#ifndef LOADBITMAP_HPP
#define LOADBITMAP_HPP

#include "rgb.hpp"

#include "boost/shared_array.hpp"
using namespace boost;

#include <iosfwd>
using namespace std;


// Returned array will be of size width*height
// Pixel (x,y) is at index (y*width + x).
// Throws GraphicLoadFailed if there is any problem.
shared_array<RGB> gfx_loadbitmap(istream &str, int *width, int *height);

#endif
