/*
 * gfx_resizer_nearest_nbr.hpp
 *
 * GfxResizerNearestNbr: Uses nearest-neighbour method to resize a graphic
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef GFX_RESIZER_NEAREST_NBR
#define GFX_RESIZER_NEAREST_NBR

#include "gfx_resizer.hpp"

class GfxResizerNearestNbr : public GfxResizer {
public:
    virtual shared_array<RGB> resize(shared_array<RGB> original, int old_width, int old_height,
                                     int new_width, int new_height) const;
};

#endif
