/*
 * sdl_font.hpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef SDL_FONT_HPP
#define SDL_FONT_HPP

#include <string>

class SDL_Surface;

class SDLFont {
public:
    SDLFont() { }
    virtual ~SDLFont() { }
    
    // coords relative to top-left of the text.
    virtual void drawText(SDL_Surface *scr, int tl_x, int tl_y, const char *txt,
                          int r, int g, int b) const = 0;

    virtual void getTextSize(const char *txt, int &w, int &h) const = 0;
    virtual int getTextHeight() const = 0;

private:
    // Prevent copying
    void operator=(const SDLFont&);
    SDLFont(const SDLFont&);
};

// This tries all fonts in fonts.txt in order
SDLFont * LoadFirstAvailableFont(int size);

#endif
