/*
 * title_screen.hpp
 *
 * Title Screen
 * --- Displays credits
 * --- Reads whether we want server, client or local game
 * Sets UsefulStuff::server
 * Continues to either ConnectingScreen (for server or client games) or
 * LoadingScreen (for local games).
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef TITLE_SCREEN_HPP
#define TITLE_SCREEN_HPP

#include "app/app2d.hpp"
#include "knights_game.hpp"

void SetupTitleScreen(const UsefulStuff &u);
void StopTitleScreen(const UsefulStuff &u);

class TitleScreen : public AppObserver {
public:
	explicit TitleScreen(const UsefulStuff &u);
	virtual void render();
	virtual void mouseDown(int x, int y, bool rmb);
private:
	void xcentre(int y, const char *str);

    // NOTE: All the screens take a copy of UsefulStuff. Not quite sure why I did it that way - it would probably
    // better to refactor at some point, so that the UsefulStuff gets passed around by reference (or even just made global/singleton).
    UsefulStuff us;
};

#endif
